// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * (default=process) Defines the source of a value. NOTE 1 Substitution may be done locally or via
 * the communication services. In the second case, specific attributes with a FC=SV are used. NOTE 2
 * There are various means to clear a substitution. As an example, a substitution that was done
 * following an invalid condition may be cleared automatically if the invalid condition is cleared.
 * However, this is a local issue and therefore
 * </pre>
 *
 * Protobuf enum {@code commonmodule.SourceKind}
 */
public enum SourceKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>SourceKind_UNDEFINED = 0;</code>
   */
  SourceKind_UNDEFINED(0),
  /**
   * <pre>
   * The value is provided by an input function from the process I/O or is calculated from some
   * application function.
   * </pre>
   *
   * <code>SourceKind_process = 1;</code>
   */
  SourceKind_process(1),
  /**
   * <pre>
   * The value is provided by an operator input or by an automatic source.
   * </pre>
   *
   * <code>SourceKind_substituted = 2;</code>
   */
  SourceKind_substituted(2),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>SourceKind_UNDEFINED = 0;</code>
   */
  public static final int SourceKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * The value is provided by an input function from the process I/O or is calculated from some
   * application function.
   * </pre>
   *
   * <code>SourceKind_process = 1;</code>
   */
  public static final int SourceKind_process_VALUE = 1;
  /**
   * <pre>
   * The value is provided by an operator input or by an automatic source.
   * </pre>
   *
   * <code>SourceKind_substituted = 2;</code>
   */
  public static final int SourceKind_substituted_VALUE = 2;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static SourceKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static SourceKind forNumber(int value) {
    switch (value) {
      case 0: return SourceKind_UNDEFINED;
      case 1: return SourceKind_process;
      case 2: return SourceKind_substituted;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<SourceKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      SourceKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<SourceKind>() {
          public SourceKind findValueByNumber(int number) {
            return SourceKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(6);
  }

  private static final SourceKind[] VALUES = values();

  public static SourceKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private SourceKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.SourceKind)
}

